/*
Copyright  1990 Ari I. Halberstadt

This file is part of a free program. For precise terms of distribution
and use please see the files in the folder Legal accompanying this
software. If you make any modifications to this file you must add the
date, your name, and a description of what you have done to the
revision history below. This notice and the copyright notice must
remain intact in all copies of this file. The files in the folder
Legal must be available to anyone receiving copies of this file.

Add initials and name here:
Initials	Name
AIH		Ari I. Halberstadt

Revision History (date format is mm-dd-yy):
Date      Name  Comments
07-11-90	 AIH   Version 0.9
*/

#ifndef _H_itemutil
#define _H_itemutil

#ifndef _H_listlib
#include "listlib.h"
#endif

/*
compreitems		compares two strings; used while searching for an item
orderitems		compares two strings; used while sorting
icompareitems	case insentitive comparison of strings; used whle
					searching for an item
iorderitems		similar to compareitems except that upper case letters
					come before lower case letters; used while sorting
IUcompareitems	international utilities version of compareitems
IUorderitems	international utilities version of orderitems
*/

int	compareitems(ListItem *item1, ListItem *item2);
int	icompareitems(ListItem *item1, ListItem *item2);
int	iorderitems(ListItem *item1, ListItem *item2);
int	IUcompareitems(ListItem *item1, ListItem *item2);
int	IUorderitems(ListItem *item1, ListItem *item2);
int	numcmpitems(ListItem *item1, ListItem *item2);
int	numorderitems(ListItem *item1, ListItem *item2);

#endif
