/*
Copyright  1990 Ari I. Halberstadt

This file is part of a free program. For precise terms of distribution
and use please see the files in the folder Legal accompanying this
software. If you make any modifications to this file you must add the
date, your name, and a description of what you have done to the
revision history below. This notice and the copyright notice must
remain intact in all copies of this file. The files in the folder
Legal must be available to anyone receiving copies of this file.

Add initials and name here:
Initials	Name
AIH		Ari I. Halberstadt

Revision History (date format is mm-dd-yy):
Date      Name  Comments
07-11-90	 AIH   Version 0.9
*/

#ifndef _H_treelib_private
#define _H_treelib_private

#ifndef _H_treelib
#include "treelib.h"
#endif

#define lchild(n)			((**(n)).left)
#define rchild(n)			((**(n)).right)
#define root(t)			((**(t)).root)
#define getkey(n)			((**(n)).key)
#define getdatum(n)		((**(n)).datum)

#define cmpr(t)			((**(t)).cmp)
#define ordr(t)			((**(t)).order)

#define lindex(i)			((i) << 1)
#define rindex(i)			(lindex(i) + 1)

Boolean	validtree(TreeType tree);
Boolean	validnode(TreeNode node);
Boolean	validkey(TreeKey key);

#endif
