/*
Copyright  1990 Ari I. Halberstadt

This file is part of a free program. For precise terms of distribution
and use please see the files in the folder Legal accompanying this
software. If you make any modifications to this file you must add the
date, your name, and a description of what you have done to the
revision history below. This notice and the copyright notice must
remain intact in all copies of this file. The files in the folder
Legal must be available to anyone receiving copies of this file.

Add initials and name here:
Initials	Name
AIH		Ari I. Halberstadt

Revision History (date format is mm-dd-yy):
Date      Name  Comments
07-11-90	 AIH   Version 0.9
*/

#ifndef _H_rsrclib
#define _H_rsrclib

#ifndef _H_mystdlib
#include "mystdlib.h"
#endif

/* getting info about resources */
OSErr rsrc_build_map(ResID mapid, ResID *map);
OSErr rsrc_build_named_map(char *name, ResID *map);
OSErr rsrc_name_to_id(ResType type, char *name, ResID *id);
OSErr rsrc_get_id(Handle rsrc, ResID *id);

/* changing resources */
OSErr rsrc_add(Handle rsrc, ResType type, ResID id, char *name, ResAttr attr);
OSErr rsrc_remove(ResType type, ResID id);

#endif
