/*
Copyright  1990 Ari I. Halberstadt

This file is part of a free program. For precise terms of distribution
and use please see the files in the folder Legal accompanying this
software. If you make any modifications to this file you must add the
date, your name, and a description of what you have done to the
revision history below. This notice and the copyright notice must
remain intact in all copies of this file. The files in the folder
Legal must be available to anyone receiving copies of this file.

Add initials and name here:
Initials	Name
AIH		Ari I. Halberstadt

Revision History (date format is mm-dd-yy):
Date      Name  Comments
07-11-90	 AIH   Version 0.9
*/

#ifndef _H_nodeutil
#define _H_nodeutil

#ifndef _H_treelib
#include "treelib.h"
#endif

#ifndef _H_strlib
#include "strlib.h"
#endif

/* key and datum disposal */
int	disposekey(TREE_DISPOSEKEY_PROTOTYPE);
int	disposedatum(TREE_DISPOSEDATUM_PROTOTYPE);

/* key comparison */
int	comparekeys(TREE_COMPARE_PROTOTYPE);
int	orderkeys(TREE_ORDER_PROTOTYPE);

int	compareikeys(TREE_COMPARE_PROTOTYPE);
int	orderikeys(TREE_ORDER_PROTOTYPE);

int	IUcomparekeys(TREE_COMPARE_PROTOTYPE);
int	IUorderkeys(TREE_ORDER_PROTOTYPE);

int	numcmpkeys(TREE_COMPARE_PROTOTYPE);
int	numorderkeys(TREE_COMPARE_PROTOTYPE);
#endif
