#include <MyHeaders>
#include "lookuptabl.h"
#include "errorlib.h"
#include "strlib.h"

/* convert an error number into a string */
char *ErrNumToStr(CStr255 str, ResID id, OSErr errnum)
{
	(void) lookupTablNum(id, errnum, str);
	return(*str ? str : ltoa(errnum, str));
}

/* convert an error string into an error number */
OSErr ErrStrToNum(char *str, ResID id)
{
	OSErr errnum;
	(void) lookupTablStr(id, str, &errnum);
	return(errnum ? errnum : ERR_BASIC_UNKNOWN);
}


