/*
	This is a smaller version of the file "XCmdGlue.inc.c" available
	from Apple.
		
  	Apple Computer, Inc. 1987
	All Rights Reserved.
*/

#include <MyHeaders>

/*
	Convert the Pascal strings 'true' and 'false' to Booleans.
*/
pascal Boolean StrToBool(paramPtr,str)
	XCmdBlockPtr	paramPtr;	Str31 * 	str;
{
	paramPtr->inArgs[0] = (long)str;
	paramPtr->request = xreqStrToBool;
    (*(MyProcPtr) (paramPtr->entryPoint))();
	return (Boolean)paramPtr->outArgs[0];
}

/*
	Convert a Boolean to 'true' or 'false'.  Instead of returning 
	a new string, as Pascal does, it expects you to create mystr
	and pass it in to be filled.
*/
pascal void BoolToStr(paramPtr,bool,mystr)
	XCmdBlockPtr	paramPtr;	Boolean	bool;	Str31 *	mystr;
{
	paramPtr->inArgs[0] = (long)bool;
	paramPtr->inArgs[1] = (long)mystr;
	paramPtr->request = xreqBoolToStr;
    (*(MyProcPtr) (paramPtr->entryPoint))();
}

/*
	Return a handle to a zero-terminated string containing the value of 
	the specified HyperTalk global variable.
*/
pascal Handle GetGlobal(paramPtr,globName)
	XCmdBlockPtr	paramPtr;	StringPtr	globName;
{
	paramPtr->inArgs[0] = (long)globName;
	paramPtr->request = xreqGetGlobal;
    (*(MyProcPtr) (paramPtr->entryPoint))();
	return (Handle)paramPtr->outArgs[0];
}

/*
	Set the value of the specified HyperTalk global variable to be
	the zero-terminated string in globValue.  The contents of the 
	Handle are copied, so you must still dispose it afterwards.
*/
pascal void SetGlobal(paramPtr,globName,globValue)
	XCmdBlockPtr	paramPtr;	StringPtr	globName;	Handle	globValue;
{
	paramPtr->inArgs[0] = (long)globName;
	paramPtr->inArgs[1] = (long)globValue;
	paramPtr->request = xreqSetGlobal;
    (*(MyProcPtr) (paramPtr->entryPoint))();
}
